PX4 1.9 - Pixhawk 4 - Parameters are missing from firmware

Hello, I recently upgraded a Pixhawk 4 that had PX4 version 1.8 on it to version 1.9. After doing this I can no longer set the airframe type. I am getting the following error in QGroundControl. "Parameters are missing from firmware. You may be running a version of firmware QGC does not work correctly with or your firmware has a bug in it. Missing params: -1:SYS_AUTOSTART, -1:SYS_AUTOCONFIG.

I upgraded to the latest version of QGroundControl and verifyied that those configuration items are in the QGroundControl configuration parameters. I am suspecting it is the PX4 v1.9 firmware.

Has anyone else seen an issue like this? Any help would be appreciated.

I recommend to reset all parameters and do a fresh setup. The screenshots below show how to do that:

2 Likes

Thanks for the reply, will try that if it happens again, but it is fixed now.

I am not exactly sure what the issue was, but it is working now. Potential resolution 1) Upgraded to 1.9.1 and 2) may have had a bad pixhawk as I was seeing a mag calibration and failure to arm issues also. (new pixhawk resolved those issues)

Hi,
I download px4 toolchain and git clone the firmware v1.9;
and build it with make px4_fmu-v2 command, then I upload it to my pixhawk 1.
In mission planner I do not see extended parameter to tune PID controller.
The critical problem is there are not some parameters in full parameter list.
what should I do?
Thanks

I bought a pixhawk 4 and I had the same issue. After updating the firmware to the latest stable version I had the same message. It was fixed when I reset the parameters as instructed above.

Before doing the resetting procedure I tried to save the parameters. But If I load again those parameters into the flight controller the message re appears. I was just being lazy and trying to avoid calibrate the sensors again.

I am using the Holybro Pixhawk 4 and running HITL (HIL Quadcopter X) with AirSim. I had been running v1.9.2 then upgraded to v1.10.1. I notice that with v1.10.1 QGC v3.5.6 and an earlier version, several of the BAT (battery) parameters are not present and QGC complains about them being missing. In v1.9.2, these BAT parameters are present in HITL mode. I’m not sure if this is a bug in the PX4 firmware or an intentional design decision. It doesn’t seem to be causing me any issues with my simulation at the moment.

3 Likes

(Bump) - anyone have any thoughts on this:

I am using the Holybro Pixhawk 4 and running HITL (HIL Quadcopter X) with AirSim. I had been running v1.9.2 then upgraded to v1.10.1. I notice that with v1.10.1 QGC v3.5.6 and an earlier version, several of the BAT (battery) parameters are not present and QGC complains about them being missing. In v1.9.2, these BAT parameters are present in HITL mode.

With a new Pixhawk 4 and PX4 1.11.1 I get this same error after selecting the HIL standard vtol airframe. I reset all the settings and as soon as I reselct the airframe I get the same error:

Parameters are missing from firmware. You may be running a version of firmware which is not fully supported or your firmware has a bug in it. Missing params: 1:BAT_V_CHARGED, 1:BAT_V_EMPTY

I suspect it my be my choice of airframe type… what would be the reccomended airframe to use for a 4 motor tilt-rotor vtol?
I have also tried entering values into the mentioned fiels, but no luck…
Any thoughts / advice?

Hi
I use navio2 tht had PX4 version 1.12.0beta I can no longer set the airframe type. I am getting the following error in QGroundControl. "Parameters are missing from firmware. You may be running a version of firmware QGC does not work correctly with or your firmware has a bug in it. Missing params: -1:SYS_AUTOSTART, -1:SYS_AUTOCONFIG.
Any help would be appreciated.
Thanks